## org.eclipse.datatools.connectivity.oda.design
Interface PropertyAttributes

public interface PropertyAttributes

The attributes of a property.

The following features are supported:

- `Display Name`
- `Element Attributes`
- `Derived Meta Data`

See Also:
  `DesignPackage.getPropertyAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`InputElementAttributes` `getElementAttributes()` Returns the value of the 'Element Attributes' containment reference.
`boolean` `isDerivedMetaData()` Returns the value of the 'Derived Meta Data' attribute.
`boolean` `isSetDerivedMetaData()` Returns whether the value of the '`Derived Meta Data`' attribute is set.
`void` `setDerivedMetaData(boolean value)` Sets the value of the '`Derived Meta Data`' attribute.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setElementAttributes(InputElementAttributes value)` Sets the value of the '`Element Attributes`' containment reference.
`void` `unsetDerivedMetaData()` Unsets the value of the '`Derived Meta Data`' attribute.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getPropertyAttributes_DisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`

### getElementAttributes

    public InputElementAttributes getElementAttributes()

  Returns the value of the 'Element Attributes' containment reference.

  Returns:
    the value of the 'Element Attributes' containment reference.
  See Also:
    `setElementAttributes(InputElementAttributes)`, `DesignPackage.getPropertyAttributes_ElementAttributes()`

### setElementAttributes

    public void setElementAttributes(InputElementAttributes value)

  Sets the value of the '`Element Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Attributes' containment reference.
  See Also:
    `getElementAttributes()`

### isDerivedMetaData

    public boolean isDerivedMetaData()

  Returns the value of the 'Derived Meta Data' attribute. The default value is `"true"`. If the property metadata can be derived, i.e. can be obtained by an ODA driver in each design session, an ODA host designer is not required to include the derived metadata in the next design session request. An ODA designer may ignore such metadata in a Request.

  Returns:
    the value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `setDerivedMetaData(boolean)`, `DesignPackage.getPropertyAttributes_DerivedMetaData()`

### setDerivedMetaData

    public void setDerivedMetaData(boolean value)

  Sets the value of the '`Derived Meta Data`' attribute.

  Parameters:
    `value` - the new value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `isDerivedMetaData()`

### unsetDerivedMetaData

    public void unsetDerivedMetaData()

  Unsets the value of the '`Derived Meta Data`' attribute.

  See Also:
    `isSetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`

### isSetDerivedMetaData

    public boolean isSetDerivedMetaData()

  Returns whether the value of the '`Derived Meta Data`' attribute is set.

  Returns:
    whether the value of the 'Derived Meta Data' attribute is set.
  See Also:
    `unsetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.